\documentclass[noanswers, nolegalese, 11pt]{examjh}
% \documentclass[answers, nolegalese, 11pt]{examjh}
\usepackage{../../../../computingfonts}
\usepackage{../../../../contentmacros}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\pagestyle{empty}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{Questions for Three.I\hfill  From \textit{Theory of Computation}, by Hef{}feron}\vspace{-1ex}
\makebox[\textwidth]{\hbox{}\hrulefill\hbox{}}


\begin{questions}
\question
Take $\Sigma=\set{\str{a},\str{b}}$.
\begin{parts}
\part Find $\str{abba}\concat\str{baa}$.
\part Find $\reversal{\str{abaa}}$.
\end{parts}

\question
Decide if each string is an element of $\kleenestar{\B}$
\begin{parts}
\part $\str{abba}\concat\str{baa}$
\part \str{01100}
\part $\reversal{\str{1011}}$
\end{parts}

\question
Decide if $\tau$ is a substring of~$\sigma$.
\begin{parts}
\part $\tau=\str{abb}$, $\sigma=\str{bbbabbaab}$
\part $\tau=\str{ab}$, $\sigma=\str{baaaaaabb}$
\part $\tau=\emptystring$, $\sigma=\str{bbab}$
\end{parts}

\question
Consider these languages.
\begin{align*}
  &\lang_0=\set{\str{a}^n\str{b}^{n+2}\suchthat n\in\N}   \\
  &\lang_1=\set{\str{a}^n\str{b}^{2}\str{a}^n\suchthat n\in\N}  \\
  &\lang_2=\set{\str{b}\str{a}^n\str{b}\suchthat n\in\N}   \\
  &\lang_3=\set{\str{a}\str{b}^{n}\str{a}^n\suchthat n\in\N}  
\end{align*}
\begin{parts}
\part
Which languages contains $\str{a}\str{b}$?
\part
Which languages contains $\str{a}^2\str{b}$?
\part
$\str{b}\str{a}^2\str{b}$?
\part
$\str{a}\str{b}^3\concat\str{a}^2\str{b}$?
\part
$\reversal{(\str{a}\str{b}^3\str{a})}$?
\part
$\str{a}^2\str{b}\str{a}\concat\str{a}$?
\part
$\str{a}(\str{b}^3)^3\str{a}$?
\part
$\emptystring$
\end{parts}

\question
Which of these strings are in 
$\reversal{\lang_0}$, $\reversal{\lang_1}$, $\reversal{\lang_2}$, 
$\reversal{\lang_3}$? 
\begin{parts}
\part
$\str{a}\str{b}$?
\part
$\str{a}^2\str{b}$?
\part
$\str{b}\str{a}^2\str{b}$?
\part
$\str{a}\str{b}^3\concat\str{a}^2b$?
\part
$\reversal{(\str{a}\str{b}^3\str{a})}$?
\part
$\str{a}^2\str{b}\str{a}\concat\str{a}$?
\part
$\str{a}(\str{b}^3)^3\str{a}$?
\part
$\emptystring$
\end{parts}

\question
Which of these strings are in 
$\kleenestar{\lang_0}$, $\kleenestar{\lang_1}$, $\kleenestar{\lang_2}$, 
$\kleenestar{\lang_3}$? 
\begin{parts}
\part
$\str{a}\str{b}$?
\part
$\str{a}^2\str{b}$?
\part
$\str{b}\str{a}^2\str{b}$?
\part
$\str{a}\str{b}^3\concat\str{a}^2b$?
\part
$\reversal{(\str{a}\str{b}^3\str{a})}$?
\part
$\str{a}^2\str{b}\str{a}\concat\str{a}$?
\part
$\str{a}(\str{b}^3)^3\str{a}$?
\part
$\emptystring$
\end{parts}

\question
Which of these strings are palindromes?
\begin{parts}
\part
$\str{a}\str{b}$?
\part
$\str{a}^2\str{b}$?
\part
$\str{b}\str{a}^2\str{b}$?
\part
$\str{a}\str{b}^3\concat\str{a}^2b$?
\part
$\reversal{(\str{a}\str{b}^3\str{a})}$?
\part
$\str{a}^2\str{b}\str{a}\concat\str{a}$?
\part
$\str{a}(\str{b}^3)^3\str{a}$?
\part
$\emptystring$
\end{parts}

\question
Consider the class of finite languages.
Which of these is in the class?
\begin{parts}
\part
 $\lang_0\cup\lang_3$ 
\part
 $\lang_1$ 
\part
 $\lang_2$ 
\end{parts}


\end{questions}
\end{document}
